Security Enhanced Linux Reference Policy

# Layer: system

## Module: fwupd

Interfaces

### Description:

You can either use a GUI software manager like GNOME Software to view and apply updates, the command-line tool or the system D-Bus interface directly. Firmware updates are supported for a variety of technologies. See https://github.com/fwupd/fwupd for details

### Interfaces:

fwupd_read_var_file( domain )

##### Summary

Read /var/lib/fwupd/* files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to read

fwupd_run( domain , role )

##### Summary

Execute fwupd in the user role the kmod domain, and use the caller's terminal. Has a sigchld backchannel.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return